Loading...
Searching...
No Matches
topologyfactory.hh File Reference
`#include <cassert>`
`#include <array>`
`#include <map>`
`#include <memory>`
`#include <type_traits>`
`#include <vector>`
`#include <dune/geometry/type.hh>`
`#include <dune/geometry/typeindex.hh>`

Go to the source code of this file.

## Classes

struct | Dune::TopologyFactory< Traits >
| Provide a factory over the generic topologies. More...
struct | Dune::TopologySingletonFactory< Factory >
| A wrapper for a TopologyFactory providing singleton storage. Same usage as TopologyFactory but with empty release method an internal storage. More...

## Namespaces

namespace | Dune